/*
 * Vocoder
 *  2012 Achim Settelmeier <vocoder@m1.sirlab.de>
 *
 * representation of a stereo input track
 */

#ifndef __INPUTTRACK_H__
#define __INPUTTRACK_H__

#include <string>
#include "types.h"
#include "track.h"

class InputTrack : public Track{
public:
	InputTrack(const std::string &filename,
		   const nframes_t maxFrames,
		   const nframes_t fps);
	~InputTrack();
	
	nframes_t readBlock(const nframes_t numFrames);
	
private:
	double stretchFactor;
	unsigned int inputBufferSize;
	sample_t *inputBufferPtr;
};

#endif
