/*
 * Vocoder
 *  2012 Achim Settelmeier <vocoder@m1.sirlab.de>
 *
 * representation of one input or output stereo track
 */

#ifndef __TRACK_H__
#define __TRACK_H__

#include <sndfile.h>
#include "types.h"

class Track{
public:
	Track(const nframes_t maxFrames,
	      const nframes_t fps);
	~Track();
	
	sample_t *getBufferPtr();
	
protected:
	const nframes_t maxFrames;
	const nframes_t fps;
	const unsigned int numChannels;
	
	SNDFILE *sndFileFDPtr;
	SF_INFO sndFileInfo;
	
	sample_t *sampleBufferPtr;
};

#endif
